RequestExecutionLevel admin
Name "QUB Express"
OutFile ..\Install-QUB-Express-Single-Molecule-Plugin-0-2-2.exe
CRCCheck on
ComponentText "This will install the single molecule plugin for QUB Express:"
InstType /COMPONENTSONLYONCUSTOM
InstType "QUB Express"
DirText "Please select the location of QUB Express."

InstallDir "$PROGRAMFILES\QUB Express"
InstallDirRegKey HKEY_LOCAL_MACHINE SOFTWARE\qub-express "Install_Dir"

Section "Single Molecule"
SectionIn 1
SetOverwrite try
SetCompress auto


SetOutPath "$INSTDIR\dist\Plugins\qubx_single_molecule"
File /r "qubx_single"
File max_inter_ll.py
File max_subi_ll.py
File qubx_plugin_about.txt
File qubx_plugin_fini.py
File qubx_plugin_imports.txt
File qubx_plugin_init.py
File qubx_plugin_name.txt
File README.txt
File "..\LICENSE.txt"

SetOutPath "$INSTDIR\dist"
File "..\maxill.dll"
File "..\maxill_opencl.dll"


!ifndef NO_UNINST
WriteUninstaller "$INSTDIR\uninst-qubx-single-molecule.exe"
CreateShortCut "$STARTMENU\Programs\QUB Express\Uninstall single molecule plugin.lnk" "$INSTDIR\uninst-qubx-single-molecule.exe" "" "" 0
!endif

SectionEnd


!ifndef NO_UNINST
UninstallText "This will remove the single molecule plugin from QUB Express:"

Section Uninstall

RMDir /r "$INSTDIR\dist\Plugins\qubx_single_molecule"

SectionEnd

!endif

